Notas de versão do Windows Management Framework (WMF) 5.1Windows Management Framework (WMF) 5.1 Release Notes

O WMF 5.1 inclui os componentes PowerShell, WMI, WinRM e SIL (Log de Inventário de Software) que foram lançados com o Windows Server 2016.WMF 5.1 includes the PowerShell, WMI, WinRM, and Software Inventory Logging (SIL) components that were released with Windows Server 2016. O WMF 5.1 pode ser instalado no Windows 7, Windows 8.1, Windows Server 2008 R2, 2012 e 2012 R2 e fornece diversos aprimoramentos ao WMF 5.0 RTM, incluindo:WMF 5.1 can be installed on Windows 7, Windows 8.1, Windows Server 2008 R2, 2012, and 2012 R2, and provides a number of improvements over WMF 5.0 RTM including:

  • Novos cmdlets: usuários e grupos locais; Get-ComputerInfoNew cmdlets: local users and groups; Get-ComputerInfo
  • Os aprimoramentos do PowerShellGet incluem a imposição de módulos assinados e a instalação de módulos JEAPowerShellGet improvements include enforcing signed modules, and installing JEA modules
  • Suporte acrescentado para o PackageManagement para Contêineres, Configuração de CBS, configuração baseada em EXE, pacotes CABPackageManagement added support for Containers, CBS Setup, EXE-based setup, CAB packages
  • Melhorias de depuração para classes DSC e PowerShellDebugging improvements for DSC and PowerShell classes
  • Aprimoramentos de segurança, incluindo a imposição de módulos de catálogo assinado provenientes do Servidor de Recepção e ao usar cmdlets do PowerShellGetSecurity enhancements including enforcement of catalog-signed modules coming from the Pull Server and when using PowerShellGet cmdlets
  • Respostas para diversos problemas e solicitações de usuáriosResponses to a number of user requests and issues

Observações importantes:Important notes:

  • O WMF 5.1 exige o .NET Framework 4.5.2 (ou superior).WMF 5.1 requires the .NET Framework 4.5.2 (or above). A instalação terá êxito, mas os principais recursos falharão se o .NET 4.5.2 (ou superior) não estiver instalado.Installation will succeed, but key features will fail if .NET 4.5.2 (or above) is not installed. As instruções estão disponíveis no tópico Instalar e Configurar WMF 5.1.Instructions are available in the Install and Configure WMF 5.1 topic.
  • A visualização do WMF 5.1 deve ser desinstalada antes de instalar a versão RTM do WMF 5.1.WMF 5.1 Preview must be uninstalled before installing WMF 5.1 RTM.
  • O WMF 5.1 pode ser instalado diretamente sobre o WMF 5.0 ou o WMF 4.0.WMF 5.1 may be installed directly over WMF 5.0 or WMF 4.0.
  • Não é necessário instalar o WMF 4.0 antes de instalar o WMF 5.1 no Windows 7 e no Windows Server 2008 R2.It is not required to install WMF 4.0 prior to installing WMF 5.1 on Windows 7 and Windows Server 2008 R2. Este era um problema na versão de visualização do WMF 5.1 e ele foi resolvido.That was an issue for the WMF 5.1 Preview release, and has been resolved.